### Enumeration

# EDataServer SourceCredentialsReason

since: 3.16

#### Declaration

    enum EDataServer.SourceCredentialsReason

#### Description [src]

An ESource’s authentication reason, used by an ESource::CredentialsRequired method.

Available since: 3.16

#### Members

`E_SOURCE_CREDENTIALS_REASON_UNKNOWN`

  A return value when there was no ‘credentials-required’ signal emitted yet, or a pair ‘authenticate’ signal had been received. This value should not be used in the call of ‘credentials-required’.

  - Value: `0`
  - Available since: 3.16
`E_SOURCE_CREDENTIALS_REASON_REQUIRED`

  This is the first attempt to get credentials for the source. It’s usually used right after the source is opened and the authentication continues with a stored credentials, if any.

  - Value: `1`
  - Available since: 3.16
`E_SOURCE_CREDENTIALS_REASON_REJECTED`

  The previously used credentials had been rejected by the server. That usually means that the user should be asked to provide/correct the credentials.

  - Value: `2`
  - Available since: 3.16
`E_SOURCE_CREDENTIALS_REASON_SSL_FAILED`

  A secured connection failed due to some server-side certificate issues.

  - Value: `3`
  - Available since: 3.16
`E_SOURCE_CREDENTIALS_REASON_ERROR`

  The server returned an error. It is not possible to connect to it at the moment usually.

  - Value: `4`
  - Available since: 3.16